Package org.apache.activemq.artemis.api.core

## Class JGroupsPropertiesBroadcastEndpointFactory

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JGroupsPropertiesBroadcastEndpointFactory

- All Implemented Interfaces:
    `java.io.Serializable`, `BroadcastEndpointFactory`

      public class JGroupsPropertiesBroadcastEndpointFactory
      extends java.lang.Object
      implements BroadcastEndpointFactory

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JGroupsPropertiesBroadcastEndpointFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BroadcastEndpoint` | `createBroadcastEndpoint()` |
    `java.lang.String` | `getChannelName()` |
    `java.lang.String` | `getProperties()` |
    `JGroupsPropertiesBroadcastEndpointFactory` | `setChannelName​(java.lang.String channelName)` |
    `JGroupsPropertiesBroadcastEndpointFactory` | `setProperties​(java.lang.String properties)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsPropertiesBroadcastEndpointFactory

          public JGroupsPropertiesBroadcastEndpointFactory()

  - ### Method Detail

    - #### createBroadcastEndpoint

          public BroadcastEndpoint createBroadcastEndpoint()
                                                    throws java.lang.Exception

      Specified by:
        `createBroadcastEndpoint` in interface `BroadcastEndpointFactory`
      Throws:
        `java.lang.Exception`

    - #### getProperties

          public java.lang.String getProperties()

    - #### setProperties

          public JGroupsPropertiesBroadcastEndpointFactory setProperties​(java.lang.String properties)

    - #### getChannelName

          public java.lang.String getChannelName()

    - #### setChannelName

          public JGroupsPropertiesBroadcastEndpointFactory setChannelName​(java.lang.String channelName)